/* SCREEN READER TEXT */
.screen-reader-text {
    clip: rect(1px,1px,1px,1px);
    height: 1px;
    overflow: hidden;
    position: absolute!important;
    width: 1px;
    word-wrap: normal!important;
}

/* NOTICES */
.woocommerce-info,
.woocommerce-message,
.woocommerce-error{
	display: flow-root;
    list-style: none;
	margin: 3rem 0;
	padding: 2rem;
	background-color: var(--grey);
	border-top: 0.3rem solid var(--blue);
}

.woocommerce-error{
	border-color: #FF0004;
}

.woocommerce-message{
	border-color: var(--cyan);
}

.woocommerce-info li,
.woocommerce-message li,
.woocommerce-error li{
	margin: 0;
}

.woocommerce-info .button,
.woocommerce-message .button,
.woocommerce-error .button{
	display: none;
}

.woocommerce .input-text{
	display: block;
	width: 100%;
	margin: 0;
	padding: 1rem;
	box-sizing: border-box;
	border: 0.1rem solid currentColor;
	outline: 0;
	border-radius: 0;
	font-family: default-font, sans-serif;
	font-size: 1.6rem;
	line-height: 2rem;
	background-color: transparent;
	color: currentColor;
}

.woocommerce .input-text:focus{
	border-color: var(--cyan);
}

.woocommerce select{
    appearance: none;
	display: block;
	width: 100%;
	margin: 0;
	padding: 1rem 3rem 1rem 1rem;
	box-sizing: border-box;
	border: 0.1rem solid currentColor;
	outline: 0;
	border-radius: 0;
	font-family: default-font, sans-serif;
	font-size: 1.6rem;
	line-height: 2rem;
	background-color: transparent;
	color: currentColor;
	background-image: url("../img/select.svg");
	background-position: right center;
	background-repeat: no-repeat;
	cursor: pointer;
}

.woocommerce .select:focus{
	border-color: var(--cyan);
}

.woocommerce .input-checkbox{
	appearance: none;
    display: inline-block; vertical-align: middle;
    width: 3rem;
    height: 3rem;
    margin: 0 1rem 0 0;
	padding: 0;
	border: 0.1rem solid currentColor;
    outline: 0;
    background-color: transparent;
	background-position: center;
	background-repeat: no-repeat;
	cursor: pointer;
}

.woocommerce .input-checkbox:focus{
	border-color: var(--cyan);
}

.woocommerce .input-checkbox:checked{
	background-image: url("../img/checkbox.svg");
}

/* SHOP TABLE */
.shop_table{
    width: 100%;
	margin: 2rem 0;
    border-collapse: separate;
	border: 0.1rem solid #cccccc;
	border-bottom: 0;
	border-spacing: 0;
}

.shop_table th,
.shop_table td{
    text-align: left;
    padding: 1rem;
	border-bottom: 0.1rem solid #cccccc;
}

.shop_table .product-thumbnail{
	display: none;
}

/* CART ITEM */
.cart_item .product-remove{
	text-align: center;
}

.cart_item .product-remove a{
	display: block;
	width: 4rem;
	border-radius: 50%;
	font-size: 3rem;
	text-align: center;
	line-height: 4rem;
	color: #90022a;
}

.cart_item .product-remove a:hover,
.cart_item .product-remove a:focus{
	text-decoration: none;
	background-color: #90022a;
	color: #ffffff;
}

.cart_item .variation{
	margin: 0;
}

.cart_item .variation dt{
    float: left;
    clear: both;
    font-weight: 700;
}

.cart_item .variation dd{
    float: left;
	margin-left: 1rem;
}

.cart_item .variation p{
	margin: 0;
}

@media screen and (max-width: 45em) {
	.cart_item .product-price,
	.cart_item .product-subtotal{
		display: none;
	}
}

/* CUSTOMER DETAILS */
#customer_details .woocommerce-billing-fields__field-wrapper,
#customer_details .woocommerce-shipping-fields__field-wrapper,
#customer_details .woocommerce-additional-fields__field-wrapper{
	display: flex; flex-wrap: wrap;
	margin: -1rem -1.5rem;
}

#customer_details .form-row{
	width: 50%;
	margin: 0;
	padding: 1rem 1.5rem;
	box-sizing: border-box;
}

#customer_details .notes{
	width: 100%;
}

#customer_details label{
	font-weight: 700;
}

@media screen and (max-width: 45em) {
	#customer_details .form-row{
		width: 100%;
	}
}

/* PAYMENT */
#payment .payment_methods{
	list-style: none;
	margin: 0;
	padding: 0;	
}

#payment .payment_methods > li{
	margin: 3rem 0;
}

#payment label{
	font-weight: 700;
}

/* ORDER ITEM */
.woocommerce-order .order_details{
	list-style: none;
	margin: 0;
	padding: 0;
}

.woocommerce-order .order_details li{
	margin: 0;
	padding: 0;
}

.woocommerce .order_item .wc-item-meta{
	list-style: none;
	margin: 0;
	padding: 0;
}

.woocommerce .order_item .wc-item-meta li{
	margin: 0;
	padding: 0;
}

.woocommerce .order_item .wc-item-meta .wc-item-meta-label{
	clear: both;
	float: left;
}

.woocommerce .order_item .wc-item-meta p{
    float: left;
	margin: 0 0 0 1rem;
}